Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.api.dom
Class BXNode

    java.lang.Object
      org.basex.api.dom.BXNode

All Implemented Interfaces:
  Node

Direct Known Subclasses:
  BXAttr, BXChar, BXDoc, BXDocFrag, BXElem, BXPI

    public abstract class BXNode

extends Object
implements Node

DOM - Node implementation.

Author:
  Workgroup DBIS, University of Konstanz 2005-10, ISC License, Christian Gruen

Field Summary

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Method Summary
`Node` | `appendChild(Node newChild)`
`Node` | `cloneNode(boolean deep)`
`short` | `compareDocumentPosition(Node other)`
`void` | `error()` Throws a DOM modification exception.
`NamedNodeMap` | `getAttributes()`
`String` | `getBaseURI()`
`NodeList` | `getChildNodes()`
`Object` | `getFeature(String feature, String version)`
`Node` | `getFirstChild()`
`Node` | `getLastChild()`
`String` | `getLocalName()`
`String` | `getNamespaceURI()`
`Node` | `getNextSibling()`
`Nod` | `getNod()` Returns the XQuery node.
`String` | `getNodeName()`
`short` | `getNodeType()`
`String` | `getNodeValue()`
`Document` | `getOwnerDocument()`
`Node` | `getParentNode()`
`String` | `getPrefix()`
`Node` | `getPreviousSibling()`
`String` | `getTextContent()`
`Object` | `getUserData(String key)`
`boolean` | `hasAttributes()`
`boolean` | `hasChildNodes()`
`Node` | `insertBefore(Node newChild, Node refChild)`
`boolean` | `isDefaultNamespace(String namespaceURI)`
`boolean` | `isEqualNode(Node arg)`
`boolean` | `isSameNode(Node other)`
`boolean` | `isSupported(String feature, String version)`
`String` | `lookupNamespaceURI(String prefix)`
`String` | `lookupPrefix(String namespaceURI)`
`void` | `normalize()`
`Node` | `removeChild(Node oldChild)`
`Node` | `replaceChild(Node newChild, Node oldChild)`
`void` | `setNodeValue(String nodeValue)`
`void` | `setPrefix(String prefix)`
`void` | `setTextContent(String textContent)`
`Object` | `setUserData(String key, Object dat, UserDataHandler handler)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getNodeName

    public String getNodeName()

  Specified by:
    `getNodeName` in interface `Node`

### getNodeType

    public final short getNodeType()

  Specified by:
    `getNodeType` in interface `Node`

### getNodeValue

    public String getNodeValue()

  Specified by:
    `getNodeValue` in interface `Node`

### getLocalName

    public String getLocalName()

  Specified by:
    `getLocalName` in interface `Node`

### cloneNode

    public final Node cloneNode(boolean deep)

  Specified by:
    `cloneNode` in interface `Node`

### compareDocumentPosition

    public final short compareDocumentPosition(Node other)

  Specified by:
    `compareDocumentPosition` in interface `Node`

### getAttributes

    public NamedNodeMap getAttributes()

  Specified by:
    `getAttributes` in interface `Node`

### getBaseURI

    public final String getBaseURI()

  Specified by:
    `getBaseURI` in interface `Node`

### getChildNodes

    public NodeList getChildNodes()

  Specified by:
    `getChildNodes` in interface `Node`

### getFirstChild

    public Node getFirstChild()

  Specified by:
    `getFirstChild` in interface `Node`

### getLastChild

    public final Node getLastChild()

  Specified by:
    `getLastChild` in interface `Node`

### getNamespaceURI

    public final String getNamespaceURI()

  Specified by:
    `getNamespaceURI` in interface `Node`

### getNextSibling

    public Node getNextSibling()

  Specified by:
    `getNextSibling` in interface `Node`

### getPreviousSibling

    public Node getPreviousSibling()

  Specified by:
    `getPreviousSibling` in interface `Node`

### getParentNode

    public Node getParentNode()

  Specified by:
    `getParentNode` in interface `Node`

### hasChildNodes

    public final boolean hasChildNodes()

  Specified by:
    `hasChildNodes` in interface `Node`

### isSameNode

    public final boolean isSameNode(Node other)

  Specified by:
    `isSameNode` in interface `Node`

### getOwnerDocument

    public Document getOwnerDocument()

  Specified by:
    `getOwnerDocument` in interface `Node`

### hasAttributes

    public final boolean hasAttributes()

  Specified by:
    `hasAttributes` in interface `Node`

### getFeature

    public final Object getFeature(String feature,
                                   String version)

  Specified by:
    `getFeature` in interface `Node`

### getPrefix

    public final String getPrefix()

  Specified by:
    `getPrefix` in interface `Node`

### getTextContent

    public final String getTextContent()

  Specified by:
    `getTextContent` in interface `Node`

### appendChild

    public final Node appendChild(Node newChild)

  Specified by:
    `appendChild` in interface `Node`

### getUserData

    public final Object getUserData(String key)

  Specified by:
    `getUserData` in interface `Node`

### isSupported

    public final boolean isSupported(String feature,
                                     String version)

  Specified by:
    `isSupported` in interface `Node`

### insertBefore

    public final Node insertBefore(Node newChild,
                                   Node refChild)

  Specified by:
    `insertBefore` in interface `Node`

### isDefaultNamespace

    public final boolean isDefaultNamespace(String namespaceURI)

  Specified by:
    `isDefaultNamespace` in interface `Node`

### isEqualNode

    public final boolean isEqualNode(Node arg)

  Specified by:
    `isEqualNode` in interface `Node`

### lookupNamespaceURI

    public final String lookupNamespaceURI(String prefix)

  Specified by:
    `lookupNamespaceURI` in interface `Node`

### lookupPrefix

    public final String lookupPrefix(String namespaceURI)

  Specified by:
    `lookupPrefix` in interface `Node`

### normalize

    public final void normalize()

  Specified by:
    `normalize` in interface `Node`

### removeChild

    public final Node removeChild(Node oldChild)

  Specified by:
    `removeChild` in interface `Node`

### replaceChild

    public final Node replaceChild(Node newChild,
                                   Node oldChild)

  Specified by:
    `replaceChild` in interface `Node`

### setNodeValue

    public final void setNodeValue(String nodeValue)

  Specified by:
    `setNodeValue` in interface `Node`

### setPrefix

    public final void setPrefix(String prefix)

  Specified by:
    `setPrefix` in interface `Node`

### setTextContent

    public final void setTextContent(String textContent)

  Specified by:
    `setTextContent` in interface `Node`

### setUserData

    public final Object setUserData(String key,
                                    Object dat,
                                    UserDataHandler handler)

  Specified by:
    `setUserData` in interface `Node`

### toString

    public final String toString()

  Overrides:
    `toString` in class `Object`

### getNod

    public final Nod getNod()

  Returns the XQuery node.

  Returns:
    xquery node

### error

    public final void error()

  Throws a DOM modification exception.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD